"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultGetAnswersFromOptions = void 0;
const refineAnswers_1 = require("./pieces/refineAnswers");
const utils_1 = require("../../../common/utils");
const base64_1 = require("../../util/base64");
const defaultGetAnswersFromOptions = (projectModel, gen, options, questions) => {
    if (options.answers == null) {
        utils_1.throwError(gen, 'Answers not found in options');
    }
    gen.log('Skipping prompts since answers are provided');
    const rawAnswers = base64_1.parseBase64Object(options.answers);
    return refineAnswers_1.refineAnswers(projectModel, questions, rawAnswers);
};
exports.defaultGetAnswersFromOptions = defaultGetAnswersFromOptions;
//# sourceMappingURL=defaultGetAnswersFromOptions.js.map