"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const test_commons_1 = require("../../../../../test/test-commons");
const getAttributeNames_1 = require("./getAttributeNames");
const chai_1 = require("chai");
describe('getAttributeNames', () => __awaiter(void 0, void 0, void 0, function* () {
    let schema;
    before(() => __awaiter(void 0, void 0, void 0, function* () {
        schema = yield test_commons_1.getMockSchema();
    }));
    it('determines all attributes based on schema', () => {
        const attrs = getAttributeNames_1.getAttributeNames('PetDTO', schema);
        chai_1.expect(attrs.sort()).to.deep.equal([
            'id', 'identificationNumber', 'owner', 'type', 'birthDate'
        ].sort());
    });
}));
//# sourceMappingURL=getAttributeNames.test.js.map