"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeDisplayNameFunction = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const util_1 = require("../../../template-model/pieces/util");
function writeDisplayNameFunction({ gen, entityName, attributes, dirShift, idAttrName = 'id' }) {
    return __awaiter(this, void 0, void 0, function* () {
        const functionPath = getFunctionPath(entityName, gen.destinationPath(), dirShift);
        if (fs_1.default.existsSync(functionPath)) {
            return;
        }
        const templatePath = path_1.default.resolve(__dirname, 'template/DisplayNameFunction.ejs');
        const templateModel = Object.assign({ attributes,
            entityName,
            idAttrName }, util_1.templateUtilities);
        yield gen.fs.copyTpl(templatePath, functionPath, templateModel);
    });
}
exports.writeDisplayNameFunction = writeDisplayNameFunction;
function getFunctionPath(entityName, componentDestPath, dirShift) {
    return path_1.default.join(componentDestPath, dirShift !== null && dirShift !== void 0 ? dirShift : '', 'core', 'display-name', getFunctionName(entityName) + '.ts');
}
function getFunctionName(entityName) {
    const capitalizedEntityName = entityName[0].toUpperCase() + entityName.slice(1);
    return `get${capitalizedEntityName}DisplayName`;
}
//# sourceMappingURL=writeDisplayNameFunction.js.map