"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeDisplayNameFunctionsForRelations = void 0;
const writeDisplayNameFunction_1 = require("./writeDisplayNameFunction");
function writeDisplayNameFunctionsForRelations(gen, attributes, relDirShift) {
    return __awaiter(this, void 0, void 0, function* () {
        // Write getXXXDisplayName() functions for relation attributes
        const relationAttrs = attributes
            .filter(attr => attr.isRelationField);
        for (const relation of relationAttrs) {
            if (relation.type == null || relation.nestedAttributes == null) {
                throw new Error('Entity name not found');
            }
            yield writeDisplayNameFunction_1.writeDisplayNameFunction({
                gen,
                entityName: relation.type,
                attributes: relation.nestedAttributes,
                dirShift: relDirShift,
                idAttrName: relation.idField
            });
        }
    });
}
exports.writeDisplayNameFunctionsForRelations = writeDisplayNameFunctionsForRelations;
//# sourceMappingURL=writeDisplayNameFunctionsForRelations.js.map