import { OptionConfig } from "yeoman-generator";
export declare type OptionsConfig = {
    [optionName: string]: OptionConfig;
};
interface CommanderOptionInfo {
    pattern: string;
    description?: string;
}
export declare function extractAvailableOptions(optionsConfig?: OptionsConfig): CommanderOptionInfo[];
export declare function pickOptions(cmd: {
    [key: string]: any;
}, availableOptions?: OptionsConfig): {
    [key: string]: string | boolean;
};
/**
 * @alpha
 */
export interface CommonGenerationOptions {
    dest?: string;
    model?: string;
    answers?: string;
    verbose?: boolean;
    templateOverride?: string;
}
/**
 * @alpha
 */
export declare const commonGenerationOptionsConfig: OptionsConfig;
export interface PolymerElementOptions extends CommonGenerationOptions {
    dirShift?: string;
}
export declare const polymerElementOptionsConfig: OptionsConfig;
export declare const componentOptionsConfig: OptionsConfig;
export {};
