import { RestService, RestServiceMethod } from "../model/cuba-model";
export declare const enum StudioTemplatePropertyType {
    ENTITY = "ENTITY",
    VIEW = "VIEW",
    NESTED_ENTITY_VIEW = "NESTED_ENTITY_VIEW",
    STRING = "STRING",
    BOOLEAN = "BOOLEAN",
    INTEGER = "INTEGER",
    OPTION = "OPTION",
    MULTI_OPTION = "MULTI_OPTION",
    REST_QUERY = "REST_QUERY",
    REST_SERVICE_METHOD = "REST_SERVICE_METHOD",
    POLYMER_COMPONENT_NAME = "POLYMER_COMPONENT_NAME",
    PASSWORD = "PASSWORD",
    GRAPHQL_QUERY = "GRAPHQL_QUERY",
    GRAPHQL_MUTATION = "GRAPHQL_MUTATION",
    MENU_ITEM = "MENU_ITEM",
    ROUTE = "ROUTE"
}
export interface StudioTemplateProperty {
    code: string;
    caption: string;
    propertyType: StudioTemplatePropertyType;
    defaultValue?: string | boolean;
    required?: boolean;
    relatedProperty?: string;
    options?: string[];
}
export interface RestServiceMethodModel {
    service: RestService;
    method: RestServiceMethod;
}
export interface EntityInfo {
    name: string;
}
export interface ViewInfo {
    name: string;
    entityName: string;
}
export interface RestQueryInfo {
    name: string;
    entityName: string;
}
export interface RestServiceMethodInfo {
    serviceName: string;
    methodName: string;
}
