"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const test_commons_1 = require("../../../test/test-commons");
const template_model_1 = require("./template-model");
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const chai_1 = require("chai");
describe('entity-details template-model stage', () => __awaiter(void 0, void 0, void 0, function* () {
    let schema;
    before(() => __awaiter(void 0, void 0, void 0, function* () {
        schema = yield test_commons_1.getMockSchema();
    }));
    it('deriveGraphQLEditorModel finds entityName for type', () => {
        var _a;
        const templateModel = template_model_1.deriveGraphQLEditorModel(QUERY_NODE, 'id', schema);
        chai_1.expect((_a = templateModel.attributes.find(a => a.name === 'type')) === null || _a === void 0 ? void 0 : _a.type).to.eq('PetTypeDTO');
    });
}));
const QUERY_NODE = graphql_tag_1.default(`
  query Get_Pet($id: BigInteger) {
    pet(id: $id) {
      id
      identificationNumber
      birthDate
      type {
        id
        name
      }
      owner {
        id
        firstName
        lastName
      }
    }
  }
`);
//# sourceMappingURL=template-model.test.js.map