"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deriveEntityListTemplateModel = void 0;
const util_1 = require("../../../building-blocks/stages/template-model/pieces/util");
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const BaseTemplateModel_1 = require("../../../building-blocks/stages/template-model/pieces/amplicode/BaseTemplateModel");
const ScreenTemplateModel_1 = require("../../../building-blocks/stages/template-model/pieces/amplicode/ScreenTemplateModel");
const getEntityAttributes_1 = require("../../../building-blocks/stages/template-model/pieces/graphql-utils/getEntityAttributes");
const getEntityName_1 = require("../../../building-blocks/stages/template-model/pieces/graphql-utils/getEntityName");
const getAttributeNames_1 = require("../../../building-blocks/stages/template-model/pieces/graphql-utils/getAttributeNames");
const getTopFieldName_1 = require("../../../building-blocks/stages/template-model/pieces/graphql-utils/getTopFieldName");
const getOperationDefinitionName_1 = require("../../../building-blocks/stages/template-model/pieces/graphql-utils/getOperationDefinitionName");
const deriveEntityListTemplateModel = (options, answers, schema, _schemaPath) => __awaiter(void 0, void 0, void 0, function* () {
    if (schema == null) {
        throw new Error('Schema not found');
    }
    const { componentName, route, query: queryString, mutation: deleteMutationString, mode = 'edit', idField = 'id', } = answers;
    const queryNode = graphql_tag_1.default(queryString);
    const mutationNode = deleteMutationString != null ? graphql_tag_1.default(deleteMutationString) : undefined;
    const queryName = getTopFieldName_1.getTopFieldName(queryNode);
    const refetchQuery = getOperationDefinitionName_1.getOperationDefinitionName(queryNode);
    const deleteMutationName = mutationNode != null ? getTopFieldName_1.getTopFieldName(mutationNode) : undefined;
    const attributes = getEntityAttributes_1.getEntityAttributes(queryNode, schema);
    const entityName = getEntityName_1.getEntityName(queryName, schema);
    const allAttributes = getAttributeNames_1.getAttributeNames(entityName, schema);
    return Object.assign(Object.assign(Object.assign(Object.assign({}, BaseTemplateModel_1.baseTemplateModel), util_1.templateUtilities), ScreenTemplateModel_1.deriveScreenTemplateModel(options, answers)), { componentName,
        route,
        queryName,
        queryString,
        deleteMutationName,
        deleteMutationString,
        attributes,
        allAttributes,
        idField,
        mode,
        refetchQuery,
        entityName });
});
exports.deriveEntityListTemplateModel = deriveEntityListTemplateModel;
//# sourceMappingURL=template-model.js.map