"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate = exports.opts = exports.cleanup = exports.GENERATORS_DIR = exports.SCHEMA_PATH = void 0;
const yeoman_environment_1 = __importDefault(require("yeoman-environment"));
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const util_1 = require("util");
const rimraf = util_1.promisify(require('rimraf'));
exports.SCHEMA_PATH = path_1.default.join(__dirname, '..', 'fixtures', 'schema', 'schema.graphql');
exports.GENERATORS_DIR = path_1.default.join(__dirname, '..', '..', 'generators');
function cleanup(destDir) {
    return __awaiter(this, void 0, void 0, function* () {
        yield rimraf(`${destDir}/{*,.*}`);
        !fs_1.default.existsSync(destDir) && fs_1.default.mkdirSync(destDir, { recursive: true });
    });
}
exports.cleanup = cleanup;
function opts(dir, answers, schema) {
    return {
        schema: schema,
        dest: dir,
        debug: true,
        answers: Buffer.from(JSON.stringify(answers)).toString('base64')
    };
}
exports.opts = opts;
function generate(generatorPath, options, templateOverride) {
    return __awaiter(this, void 0, void 0, function* () {
        const env = new yeoman_environment_1.default();
        const { generator } = yield Promise.resolve().then(() => __importStar(require(generatorPath)));
        env.registerStub(generator, generator.name);
        return env.run(generator.name, Object.assign({ templateOverride }, options));
    });
}
exports.generate = generate;
//# sourceMappingURL=commons.js.map